// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class SkinnedRabbitWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new SkinnedRabbitWAddonDeed();
			}
		}

		[ Constructable ]
		public SkinnedRabbitWAddon()
		{
			AddComponent( new AddonComponent( 3352 ), 1, 0, 0 );
			AddComponent( new AddonComponent( 7826 ), 0, 1, 0 );
			AddonComponent ac = null;

		}

		public SkinnedRabbitWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SkinnedRabbitWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new SkinnedRabbitWAddon();
			}
		}

		[Constructable]
		public SkinnedRabbitWAddonDeed()
		{
			Name = "SkinnedRabbitW";
		}

		public SkinnedRabbitWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}